<script>
    import NftMetadataOverview from '../../../Components/NftMetadataOverview.svelte';
    import TestCaseOverview from '../../../Components/TestCaseOverview.svelte';
    import MetaDataArray from '../../../data/metadataArray.json';
</script>

<h1>Component: NftMetadataOverview</h1>
<p>
    A banner-like component that summarizes an NFT "metadata" object, which on the Peerplays chain
    embodies an NFT issuance contract. It is suitable for use at the top of a collection page
    enumerating NFTs issued from a common contract.
</p>

{#each MetaDataArray.vectors as test_case, index}
    <TestCaseOverview {test_case} />
    {#each test_case.mock_data as metaDataObject, index}
        <NftMetadataOverview nft_metadata_full={metaDataObject.nft_metadata_full} />
    {/each}
{/each}

<style>
    h1 {
        font-size: 2.5em;
        margin-bottom: 0.1em;
    }
    h2 {
        font-size: 1.5em;
    }
    .testcase {
        background-color: LightGray;
        padding-left: 1em;
        padding-top: 0.5em;
        padding-bottom: 0.5em;
        margin-top: 1em;
        margin-bottom: 1em;
    }
</style>
